// import { $http } from '@/common/http';


export default {
	login: '/user/auth/login',						//登录
	register: '/user/user/register',				//注册
	logout: '/admin/signout',						//退出
	Qrcode: '/common/wx/mini/code',					//生成二维码
	sendCode: '/common/send/sms/code',				//发送验证码
	verifyCode: '/common/verify/sms/code', 					//验证短信验证码
	
	getUserInfoById: '/user/user/base/info',
	
	bindOpenid: '/user/message/openid/binding',
	
	// updateUserInfo: '/user/user/update/info',
	
	
	
	
	
	// 分类
	getCategoryList: '/user/education/sort/list',
	
	
	getSearchGoods: '/user/education/goods/search',//搜所商品
	
	
	getEducationGoodsList: '/user/education/goods/education/list', //学历教育商品列表
	
	getTrainGoodsList: '/user/education/goods/train/list',
	
	getPublicGoodsList: '/user/education/goods/public/list',
	
	getGoodInfo: '/user/education/goods/info',
	
	createTrainOrder: '/user/education/order/train/create',
	
	createEducationOrder: '/user/education/order/education/create',
	
	createPublicOrder: '/user/education/order/public/create',
	
	submitOrder: '/user/education/order/public/query/payment',
	
	submitTrainOrder: '/user/education/order/train/query/payment',
	
	getOrderNum: '/user/integral/order/count/num',
	
	getClassList: '/user/class/plan/class',
	
	getDictionaryList: '/user/dictionary/item/list/son',
	
	addStudentData: '/user/student/data/create',
	
	
	getStudentData: '/user/student/data/info',
	
	
	
	getIntegralCategoryList: '/user/integral/sort/list',
	
	getIntegralGoodInfo: '/user/integral/goods/info',
	
	getIntegralGoodsList: '/user/integral/goods/list',
	
	submitIntegralOrder: '/user/integral/order/query/payment',
	
	createIntegralOrder: '/user/integral/order/create',
	
	
	// 积分订单
	
	getIntegralOrderList: '/user/integral/order/list',
	
	getIntegralOrderInfo: '/user/integral/order/info',
	
	cancelIntegralOrder: '/user/integral/order/cancel',
	
	confirmIntegralOrder: '/user/integral/order/confirm',
	
	getIntegralLogistics: '/user/integral/order/query/logistic',
	
	
	// 教育订单
	getEducationOrderList: '/user/education/order/education/list',
	
	getEducationOrderInfo: '/user/education/order/info',
	
	getEducationOrderCostList: '/user/education/order/cost/list',
	
	// 培训订单
	getTrainOrderList: '/user/education/order/train/list',
	
	getTrainOrderInfo: '/user/education/order/info',
	
	// 通用订单
	getPublicOrderList: '/user/education/order/public/list',
	
	getPublicOrderInfo: '/user/education/order/info',
	
	
	getCustomerService: '/user/user/customer/service',
	
	getIntegralRecord: '/user/integral/list',
	
	cancelOrder: '/user/education/order/cancel',
	
	
	
	//投诉建议
	getComplaintList: '/user/complaint/list',
	
	getComplaintInfo: '/user/complaint/info',
	
	addComplaint: '/user/complaint/create',
	
	updateComplaint: '/user/complaint/update',
	
	confirmPublicOrder: '/user/education/order/public/confirm',
	

	
	
	
	
	
	
	

	setPayPwd: '/user/user/pay/password/set', //设置支付密码

	bindReferrer: '/user/user/bind/referrer', 		//绑定临时上级
	getShareInfo: '/user/setup/share/info', 		//C端分享设置详情
	updateUserInfo: '/user/user/update/info',//更新个人信息
	
	getArticleList: '/user/setup/teletext/list',

	// 商品相关=====================
	getBannerList: '/user/setup/banner/get',		//轮播图
	// getCategoryList: '/user/goods/groupings/list', 	// 分类列表
	getGoodsList: '/user/goods/list', 				// 商品列表
	getGoodsInfo: '/user/goods/info', 				// 商品详情
	// getCategoryList: '/user/goods/sort/list', 			//分类列表

	// 购物车
	carGoodsList: '/user/cart/list', 				// 购物车列表
	addCarGoods: '/user/cart/update', 				// 加入购物车
	batchUpdateCarGoods: '/user/cart/batch/update', //批量更新购物车

	// 地址相关=====================
	addressList: '/user/address/list', 				// 地址列表
	addressDetail: '/user/address/info', 			// 地址详情
	addressAdd: '/user/address/add', 				// 地址添加
	addressEdit: '/user/address/update', 			// 地址编辑
	deleteAddress: '/user/address/del', 			// 地址删除
	addressDefault: '/user/address/set/default', 	// 地址设置默认
	getArea: '/common/allarea',						//地区编码, //获取省市区地址


	// 订单相关=====================
	orderList: '/user/order/list', 					// 订单列表
	orderDetail: '/user/order/info', 				// 订单详情
	logistics: '/user/order/query/logistic', 		// 物流信息
	// cancelOrder: '/user/order/cancel', 				// 取消订单
	confirmOrder: '/user/order/confirm', 			// 确认收货
	// submitOrder: '/user/order/query/payment', 		//计算订单应付金额
	createOrder: '/user/order/create', 				// 创建订单
	getPayParmas: '/user/pay/create',				// 拉取支付参数
	closePay: '/user/pay/close', 					//关闭支付
	// getOrderNum: '/user/order/count/num', 			//查询各状态订单数量

	// 用户
	getBalance: '/user/fund/balance/get',
	isRealName: '/user/user/authentication/check', //检查是否实名认证
	getUserInfo: '/user/user/info',//查询个人信息

	// 提现
	setWithdrawInfo: '/user/draw/data/add',
	getWithdrawInfo: '/user/draw/data/info',
	applyWithdraw: '/user/draw/log/add',
	
	// 素材
	getSourceList: '/user/image/list',
	
	// 文章
	getNoteList: '/user/note/list',
	getNoteInfo: '/user/note/info',
	likeNote: '/user/note/like',
	unlikeNote: '/user/note/unlike',
	getCommentList: '/user/note/comment/list',
	releaseComment: '/user/note/comment/release',
	getNoteCategoryList: '/user/note/genre/list',
	releaseNote: '/user/note/release',
	deleteNote: '/user/note/delete',
	
	getFansList: '/user/user/fans/list',  //获取盟友、粉丝列表
	
	
	applyAfterSale: '/user/order/after/sale/apply',
	getAfterSalePayment: '/user/order/after/sale/calculate',
	
	
	getAfterSaleList: '/user/order/after/sale/list',
	getAfterSaleDetail: '/user/order/after/sale/info',
	cancelAfterSale: '/user/order/after/sale/repeal/apply',
	getCompanyList: '/user/order/after/sale/return/company/list',
	setCompanyInfo: '/user/order/after/sale/update/return/proof',
	
	getWithDrawInfo: '/user/draw/data/info',
	setWithDrawInfo: '/user/draw/data/add',
	applyWithDraw: '/user/draw/log/add',
	getWithDrawList: '/user/draw/log/list',
	
	
	getEvaluationList: '/user/order/evaluation/list',
	createEvaluation: '/user/order/evaluation/create',
	
	realName: '/user/user/authentication',
	
	getWithdrawList: '/user/draw/log/list',
	
	getRebateList: '/user/fund/rebate/log',
	
	getBalanceList: '/user/fund/balance/log',
	
	getFunTypeMap: '/user/fund/type/map',
	
	
	getOrderReceipt:'/user/education/order/receipt'
	
}
